import React from 'react';
import { RoutingContext } from './utils';
export interface WithNamedRoutingProps {
    namedRouting: RoutingContext;
}
export declare function withNamedRouting<TProps extends WithNamedRoutingProps>(Component: React.ComponentType<WithNamedRoutingProps>): {
    (props: Pick<TProps, Exclude<keyof TProps, "namedRouting">>): JSX.Element;
    displayName: string;
};
