import React from 'react';
import { Location } from 'history';
import { LinkProps } from 'react-router-dom';
export interface NamedLinkProps<TParams = object> extends LinkProps {
    to: string | (Omit<Partial<Location>, 'pathname'> & {
        name: string;
    });
    params?: TParams;
    children?: React.ReactNode;
}
export declare const NamedLink: React.FC<NamedLinkProps>;
