import React from 'react';
import { Location } from 'history';
import { RedirectProps } from 'react-router-dom';
export interface NamedRedirectProps<TParams = object> extends RedirectProps {
    to: string | (Omit<Partial<Location>, 'pathname'> & {
        name: string;
    });
    params?: TParams;
}
export declare const NamedRedirect: React.FC<NamedRedirectProps>;
